<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#form").load('modul/pener_kas/form.php');	
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);				
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal  = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").show();
		$("#tampil_data").load('modul/pener_kas/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_bkm").click(function(){				
		var	kode		= $("#t_kode").val();
		var	tgl			= $("#t_tanggal").val();		
		var	pemby	= $("#t_pemby").val();
		var	total		= $("#t_total").val();
		var	tbl			= $("#t_terbilang").val();
		
		if(total.length == 0){
			var error = true;
			alert("Maaf, data penerimaan kas belum direkam.");			
			return (false);
        }		
		window.location.href='modul/laporan/bukti_km.php?kode='+kode+'&tgl='+tgl+'&pemby='+pemby+'&total='+total+'&tbl='+tbl;
	});
	
	$("#cetak_jkm").click(function(){	
		var 	tgl_awal	= $("#t_tgl_awal").val();
		var	tgl_akhir	= $("#t_tgl_akhir").val();
		
		window.location.href='modul/laporan/jurnal_km.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;		
	});
	
	$("#tutup_detail").click(function(){
		$("#pencarian").show();		
		$("#tampil_detail").hide();
		$("#tampil_data").show();		
	});
	
	$("#tutup_km").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php

echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT PENERIMAAN KAS</a></li>
	       <li><a href='#data'>DAFTAR PENERIMAAN KAS</a></li>		   
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Penerimaan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>
						<button name='cetak_jkm' id='cetak_jkm'>Cetak</button>
						<button name='tutup_km' id='tutup_km'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center'></div>
		</div>";
					
echo "<div id='info' align='center'></div>";

echo "</div>";
?>
